<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreatePropiedad extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('propiedad')
			->addColumn('unidad_principal', 'integer', ['length' => 10, 'null' => false, 'signed' => false])
			->addColumn('estacionamientos', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('bodegas', 'string', ['length' => 20, 'default' => null, 'null' => true])
			->addColumn('estado', 'integer', ['length' => 11, 'default' => 1])
			->addForeignKey('unidad_principal', 'unidad', 'id', ['delete' => 'cascade', 'update' => 'cascade'])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
